Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics
Interface Selector

    public interface Selector

------------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Method Summary
`void` | `addTheme(Theme theme)` adds a Theme to the Selector that shall be notified if something happens.
`String[]` | `invertSelection()` inverts the current selection.
`void` | `removeTheme(Theme theme)`
`void` | `reset()` mark all features as unselected
`String[]` | `select(Envelope boundingbox)` selects all features (display elements) that are located within the submitted bounding box.
`String[]` | `select(Position position)` selects all features (display elements) that intersects the submitted point. if a feature is already selected it remains selected.
`String[]` | `select(Position position, double radius)` selects all features (display elements) that are located within the circle described by the position and the radius. if a feature is already selected it remains selected.
`String[]` | `select(String[] ids)` selects all features (display elements) that are specified by the submitted ids. if a feature is already selected it remains selected.

Method Detail

### addTheme

    void addTheme(Theme theme)

  adds a Theme to the Selector that shall be notified if something happens.

  Parameters:
    `theme` - to add.

### removeTheme

    void removeTheme(Theme theme)

  Parameters:
    `theme` - to be removed
  See Also:
    `addTheme(Theme)`

### select

    String[] select(Envelope boundingbox)

  selects all features (display elements) that are located within the submitted bounding box.

  Parameters:
    `boundingbox` - to select all features within
  Returns:
    id's of the selected features (display elements)

### select

    String[] select(Position position)

  selects all features (display elements) that intersects the submitted point. if a feature is already selected it remains selected.

  Parameters:
    `position` - to select the features with.
  Returns:
    id's of the selected features (display elements)

### select

    String[] select(Position position,
                    double radius)

  selects all features (display elements) that are located within the circle described by the position and the radius. if a feature is already selected it remains selected.

  Parameters:
    `position` - to select al features
    `radius` - around the given position
  Returns:
    id's of the selected features (display elements)

### select

    String[] select(String[] ids)

  selects all features (display elements) that are specified by the submitted ids. if a feature is already selected it remains selected.

  Parameters:
    `ids` - to select
  Returns:
    ids of the selected features (display elements)

### invertSelection

    String[] invertSelection()

  inverts the current selection.

  Returns:
    the id's of the inverted selection

### reset

    void reset()

  mark all features as unselected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org